Bug 1765141 - CVE-2019-18348 python35: python: CRLF injection via the host part of the url passed to urlopen() [fedora-all]
Summary: CVE-2019-18348 python35: python: CRLF injection via the host part of the url ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: python35
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-18348
TreeView+ depends on / blocked
 
Reported: 2019-10-24 12:29 UTC by Riccardo Schirone
Modified: 2020-01-07 15:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-07 15:02:07 UTC
Type: ---


Attachments (Terms of Use)

Description Riccardo Schirone 2019-10-24 12:29:07 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Riccardo Schirone 2019-10-24 12:29:10 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1727276,1765141

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-10-29 18:30:54 UTC
FEDORA-2019-57462fa10d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-57462fa10d

Comment 3 Fedora Update System 2019-10-29 18:31:05 UTC
FEDORA-2019-d202cda4f8 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d202cda4f8

Comment 4 Fedora Update System 2019-10-30 01:19:58 UTC
python35-3.5.8-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b06ec6159b

Comment 5 Fedora Update System 2019-10-30 01:34:25 UTC
python35-3.5.8-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-57462fa10d

Comment 6 Fedora Update System 2019-10-30 02:40:35 UTC
python35-3.5.8-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d202cda4f8

Comment 7 Fedora Update System 2019-10-31 10:17:20 UTC
FEDORA-2019-57462fa10d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-57462fa10d

Comment 8 Fedora Update System 2019-10-31 10:17:35 UTC
FEDORA-2019-b06ec6159b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b06ec6159b

Comment 9 Fedora Update System 2019-10-31 10:17:52 UTC
FEDORA-2019-d202cda4f8 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d202cda4f8

Comment 10 Fedora Update System 2019-11-02 02:26:08 UTC
python35-3.5.8-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b06ec6159b

Comment 11 Fedora Update System 2019-11-02 04:13:04 UTC
python35-3.5.8-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d202cda4f8

Comment 12 Fedora Update System 2019-11-03 06:00:40 UTC
python35-3.5.8-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-57462fa10d

Comment 13 Fedora Update System 2019-11-09 22:38:26 UTC
python35-3.5.8-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-11-10 01:06:29 UTC
python35-3.5.8-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-11-11 01:05:00 UTC
python35-3.5.8-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Miro Hrončok 2019-12-20 10:06:42 UTC
Actually 3.5.8 has not fixed this. It still waits for an upstream fix.

Comment 17 Petr Viktorin 2020-01-07 15:02:07 UTC
This flaw can be exploited only when glibc flaw CVE-2016-10739 is not fixed, as it requires getaddrinfo() function to resolve an invalid hostname, containing control characters like the CRLF sequence, as a valid one.

Fedora is not vulnerable due to updated glibc.
If a fix is made in Python upstream, it'll get into Fedora normally; we don't need to track it here.


Note You need to log in before you can comment on or make changes to this bug.